-- Register FuelGaugeSignal Specialization
-- Author: RedFoxModding
-- Version: 1.0.0.0

if g_specializationManager:getSpecializationByName("FuelGaugeSignal") == nil then
	g_specializationManager:addSpecialization("FuelGaugeSignal", "FuelGaugeSignal", Utils.getFilename("FuelGaugeSignal.lua", g_currentModDirectory), true, nil)
	
	for typeName, typeEntry in pairs(g_vehicleTypeManager:getVehicleTypes()) do
    if SpecializationUtil.hasSpecialization(Motorized, typeEntry.specializations) then
      g_vehicleTypeManager:addSpecialization(typeName, "FuelGaugeSignal")
	  --print("FuelGaugeSignal: Added Specialization for "..tostring(typeName)) --..", "..tostring(typeEntry)
    end
	--print("FuelGaugeSignal: VehicleTypes: "..tostring(typeName)..", "..tostring(typeEntry))
  end
end
